Status: Closed

Priority: Normal

Assignee:

Category: Customisation Framework

Affected QGIS version:2.14.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22952

Description

I don't know if it's me who don't figure out how the "select all" button is supposed to work but I fail to get it work. Nothing happens when

pressed. I wonder if multiselection is allowed in this widget given that manual multiselection i try (ctrl+, shift+, click-and-drag) fail

Associated revisions

Revision 841e6c63 - 2016-06-13 05:04 PM - Matthias Kuhn 

Customization UI: Rename "Select All" to "Check All"

References #15005

History

#1 - 2016-06-12 05:11 AM - Matthias Kuhn

- Status changed from Open to Feedback

The button works here (master): I unselect some checkboxes, click the "select all" button on the toolbar and all boxes are checked.

Can you share more details?

Multiselect does not work but I would also not know what to expect from multiple selected items.

#2 - 2016-06-12 07:44 AM - Harrissou Santanna

Indeed, works fine in master but not in 2.14.3 (this is was I was about to send before I gave it another try and it works).

However, my next tries fail and I'm not really sure my pad is the culprit, given that i easily use the buttons in 2.15 but often fail to get them work in 2.14 (is it

a click or a press action in 2.14?)

@Matthias Kuhn

I unselect some checkboxes, click the "select all" button on the toolbar and all boxes are checked.

In case it works like that, why not call it "Check All" instead of "Select All"?

Then what is the reset button for: just reset the changes since last application or reset to customization=false state?

Multiselect does not work but I would also not know what to expect from multiple selected items.

2024-04-25 1/3



I neither know. I tried it because of the " Select All" button.

But can't we imagine a check/uncheck option in context menu user can use to change state of items in few clicks?

#3 - 2016-06-13 08:08 AM - Matthias Kuhn

"Select All" > "Check All" done.

But can't we imagine a check/uncheck option in context menu user can use to change state of items in few clicks?

Do you think that's still necessary when we have something like #15009?

#4 - 2016-06-13 10:30 AM - Harrissou Santanna

Matthias Kuhn wrote:

"Select All" > "Check All" done.

Thanks. would that be backported? actually I'm writing QGIS 2.14 Doc about this feature so might be good to have the right text if it is to be documented.

But can't we imagine a check/uncheck option in context menu user can use to change state of items in few clicks?

Do you think that's still necessary when we have something like #15009?

Not sure it's needed. If I had to choose, I'd vote for #15009 (and #15022?)

#5 - 2016-06-14 02:56 AM - Matthias Kuhn

Thanks. would that be backported? actually I'm writing QGIS 2.14 Doc about this feature so might be good to have the right text if it is to be

documented.

I'm not sure. I thought one of the ideas of LTR was to maintain a stable UI and especially if you document it, it would be bad to have a documentation that

does not match all versions.

#6 - 2016-06-14 04:42 AM - Harrissou Santanna

I do not really agree with you.

LTR has fixes and thus new releases. People who are stuck to 2.14 expect its issues to be fixed so they should update to 2.14.x when released imo. I'm

not sure UI modification should be blocker for bug fix. And more generally it's not easy to document a feature you know is buggy.

That said the current change is about a tooltip on an icon so not visible in UI and to be honest, I've Nyall already merged a PR I proposed after my previous

message.

#7 - 2016-07-03 07:13 AM - Giovanni Manghi

- Status changed from Feedback to Open
#8 - 2016-07-03 07:59 AM - Harrissou Santanna

- Status changed from Open to Closed

Actually, this can be closed. The tool was wrongly named and leads me expecting it do something while it does something else.
